Cart Validation SPI

POST Validate cart.

POST /merchant/spi/sample/endpoint/sa/cartValidation

Operation ID: cartValidation. Tags: Cart Validation SPI.

This SPI endpoint enables POS to send a cart to the merchant's external system for validation. Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:

  1. Under API Config:
  2. Under JSON Config:
    • Integration Type: HTTP_POST
    • JSON Headers: Provide the header for the API. Headers can be Content-Type, for example: {"Content-Type":"application/json"}.

Request body

Media type: */*. Schema: ExternalCart.

Responses

  • default Default response.

    Media type: application/json. Schema: CartValidationResponse.